Spaces method and path for this operation:
put /s/{space_id}/api/endpoint_list/items
Refer to Spaces for more information.
Update an Elastic Endpoint exception list item, specified by the id or item_id field.
Body
Required
Exception list item's properties
-
The version id, normally returned by the API when the item is retrieved. Use it ensure updates are made against the latest version.
-
Array of comment fields:
- comment (string): Comments about the exception item.
-
Describes the exception list.
-
Any of: Security_Endpoint_Exceptions_API_ExceptionListItemEntryMatchobject Security_Endpoint_Exceptions_API_ExceptionListItemEntryMatchAnyobject Security_Endpoint_Exceptions_API_ExceptionListItemEntryListobject Security_Endpoint_Exceptions_API_ExceptionListItemEntryExistsobject Security_Endpoint_Exceptions_API_ExceptionListItemEntryNestedobject Security_Endpoint_Exceptions_API_ExceptionListItemEntryMatchWildcardobject -
Exception's identifier.
Minimum length is
1. -
Human readable string identifier, e.g.
trusted-linux-processesMinimum length is
1. -
Additional properties are allowed.
-
Exception list name.
Minimum length is
1. -
Use this field to specify the operating system.
Values are
linux,macos, orwindows. -
Value is
simple.
PUT
/api/endpoint_list/items
curl \
--request PUT 'https://<KIBANA_URL>/api/endpoint_list/items' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{"description":"Updated description for the exception","entries":[{"field":"file.hash.sha256","operator":"included","type":"match","value":"e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855"}],"item_id":"block-malicious-file","name":"Block malicious file (updated)","os_types":["windows","linux"],"type":"simple"}'
Request example
{
"description": "Updated description for the exception",
"entries": [
{
"field": "file.hash.sha256",
"operator": "included",
"type": "match",
"value": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855"
}
],
"item_id": "block-malicious-file",
"name": "Block malicious file (updated)",
"os_types": [
"windows",
"linux"
],
"type": "simple"
}
Response examples (200)
{
"comments": [],
"created_at": "2025-01-01T12:00:00.000Z",
"created_by": "elastic",
"description": "Updated description for the exception",
"entries": [
{
"field": "file.hash.sha256",
"operator": "included",
"type": "match",
"value": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855"
}
],
"id": "d4b0c1e2-3f4a-5b6c-7d8e-9f0a1b2c3d4e",
"item_id": "block-malicious-file",
"list_id": "endpoint_list",
"name": "Block malicious file (updated)",
"namespace_type": "agnostic",
"os_types": [
"windows",
"linux"
],
"tags": [
"policy:all"
],
"tie_breaker_id": "f1e2d3c4-b5a6-7890-abcd-ef1234567890",
"type": "simple",
"updated_at": "2025-01-15T09:30:00.000Z",
"updated_by": "elastic"
}